=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2008-10-23 02:48:56 +0000
+++ drizzled/field.cc	2008-11-04 13:22:55 +0000
@@ -842,7 +842,7 @@
 */
 unsigned char *
 Field::pack(unsigned char *to, const unsigned char *from, uint32_t max_length,
-            bool low_byte_first __attribute__((unused)))
+            bool)
 {
   uint32_t length= pack_length();
   set_if_smaller(length, max_length);
@@ -882,7 +882,7 @@
 */
 const unsigned char *
 Field::unpack(unsigned char* to, const unsigned char *from, uint32_t param_data,
-              bool low_byte_first __attribute__((unused)))
+              bool)
 {
   uint32_t length=pack_length();
   int from_type= 0;
@@ -912,7 +912,7 @@
 }
 
 
-my_decimal *Field::val_decimal(my_decimal *decimal __attribute__((unused)))
+my_decimal *Field::val_decimal(my_decimal *)
 {
   /* This never have to be called */
   assert(0);
@@ -959,8 +959,7 @@
   @return
     value converted from val
 */
-int64_t Field::convert_decimal2int64_t(const my_decimal *val,
-                                         bool unsigned_flag __attribute__((unused)), int *err)
+int64_t Field::convert_decimal2int64_t(const my_decimal *val, bool, int *err)
 {
   int64_t i;
   if (warn_if_overflow(my_decimal2int(E_DEC_ERROR &
@@ -1023,8 +1022,7 @@
     Needs to be changed if/when we want to support different time formats.
 */
 
-int Field::store_time(DRIZZLE_TIME *ltime,
-                      enum enum_drizzle_timestamp_type type_arg __attribute__((unused)))
+int Field::store_time(DRIZZLE_TIME *ltime, enum enum_drizzle_timestamp_type)
 {
   char buff[MAX_DATE_STRING_REP_LENGTH];
   uint32_t length= (uint32_t) my_TIME_to_str(ltime, buff);
@@ -1038,8 +1036,7 @@
 }
 
 
-Field *Field::new_field(MEM_ROOT *root, Table *new_table,
-                        bool keep_type __attribute__((unused)))
+Field *Field::new_field(MEM_ROOT *root, Table *new_table, bool)
 {
   Field *tmp;
   if (!(tmp= (Field*) memdup_root(root,(char*) this,size_of())))
@@ -1298,14 +1295,13 @@
     true  on error
 */
 
-bool Create_field::init(Session *session __attribute__((unused)), char *fld_name, enum_field_types fld_type,
+bool Create_field::init(Session *, char *fld_name, enum_field_types fld_type,
                         char *fld_length, char *fld_decimals,
                         uint32_t fld_type_modifier, Item *fld_default_value,
                         Item *fld_on_update_value, LEX_STRING *fld_comment,
                         char *fld_change, List<String> *fld_interval_list,
                         const CHARSET_INFO * const fld_charset,
-                        uint32_t fld_geom_type __attribute__((unused)),
-                        enum column_format_type column_format,
+                        uint32_t, enum column_format_type column_format,
                         virtual_column_info *fld_vcol_info)
 {
   uint32_t sign_len, allowed_type_modifier= 0;
@@ -1567,7 +1563,7 @@
 }
 
 
-enum_field_types get_blob_type_from_length(uint32_t length __attribute__((unused)))
+enum_field_types get_blob_type_from_length(uint32_t)
 {
   enum_field_types type;
 

=== modified file 'drizzled/item.cc'
--- drizzled/item.cc	2008-11-02 03:17:55 +0000
+++ drizzled/item.cc	2008-11-04 13:22:55 +0000
@@ -49,8 +49,7 @@
 }
 
 my_decimal *
-Hybrid_type_traits::val_decimal(Hybrid_type *val,
-                                my_decimal *to __attribute__((unused))) const
+Hybrid_type_traits::val_decimal(Hybrid_type *val, my_decimal *) const
 {
   double2my_decimal(E_DEC_FATAL_ERROR, val->real, val->dec_buf);
   return val->dec_buf;
@@ -153,8 +152,7 @@
 }
 
 void
-Hybrid_type_traits_integer::fix_length_and_dec(Item *item,
-                                               Item *arg __attribute__((unused))) const
+Hybrid_type_traits_integer::fix_length_and_dec(Item *item, Item *) const
 {
   item->decimals= 0;
   item->max_length= MY_INT64_NUM_DECIMAL_DIGITS;
@@ -479,7 +477,7 @@
   @param arg   a dummy parameter, is not used here
 */
 
-bool Item::cleanup_processor(unsigned char *arg __attribute__((unused)))
+bool Item::cleanup_processor(unsigned char *)
 {
   if (fixed)
     cleanup();
@@ -759,7 +757,7 @@
   - When trying to find an order_st BY/GROUP BY item in the SELECT part
 */
 
-bool Item::eq(const Item *item, bool binary_cmp __attribute__((unused))) const
+bool Item::eq(const Item *item, bool) const
 {
   /*
     Note, that this is never true if item is a Item_param:
@@ -789,7 +787,7 @@
   the latter returns a non-fixed Item, so val_str() crashes afterwards.
   Override Item_num method, to return a fixed item.
 */
-Item *Item_num::safe_charset_converter(const CHARSET_INFO * const tocs __attribute__((unused)))
+Item *Item_num::safe_charset_converter(const CHARSET_INFO * const)
 {
   Item_string *conv;
   char buf[64];
@@ -804,7 +802,7 @@
 }
 
 
-Item *Item_static_float_func::safe_charset_converter(const CHARSET_INFO * const tocs __attribute__((unused)))
+Item *Item_static_float_func::safe_charset_converter(const CHARSET_INFO * const)
 {
   Item_string *conv;
   char buf[64];
@@ -1443,8 +1441,7 @@
   Item_field (this is important in prepared statements).
 */
 
-Item_field::Item_field(Session *session __attribute__((unused)),
-                       Name_resolution_context *context_arg,
+Item_field::Item_field(Session *, Name_resolution_context *context_arg,
                        Field *f)
   :Item_ident(context_arg, f->table->s->db.str, *f->table_name, f->field_name),
    item_equal(0), no_const_subst(0),
@@ -1540,7 +1537,7 @@
 }
 
 void Item_ident::print(String *str,
-                       enum_query_type query_type __attribute__((unused)))
+                       enum_query_type)
 {
   Session *session= current_session;
   char d_name_buff[MAX_ALIAS_NAME], t_name_buff[MAX_ALIAS_NAME];
@@ -1717,8 +1714,7 @@
 }
 
 
-bool Item_field::eq(const Item *item,
-                    bool binary_cmp __attribute__((unused))) const
+bool Item_field::eq(const Item *item, bool) const
 {
   Item *real_item= ((Item *) item)->real_item();
   if (real_item->type() != FIELD_ITEM)
@@ -1756,8 +1752,7 @@
 }
 
 
-void Item_field::fix_after_pullout(st_select_lex *new_parent,
-                                   Item **ref __attribute__((unused)))
+void Item_field::fix_after_pullout(st_select_lex *new_parent, Item **)
 {
   if (new_parent == depended_from)
     depended_from= NULL;
@@ -1778,8 +1773,7 @@
   return new_item;
 }
 
-int64_t Item_field::val_int_endpoint(bool left_endp __attribute__((unused)),
-                                      bool *incl_endp __attribute__((unused)))
+int64_t Item_field::val_int_endpoint(bool, bool *)
 {
   int64_t res= val_int();
   return null_value? INT64_MIN : res;
@@ -1816,8 +1810,7 @@
   return str;
 }
 
-void Item_int::print(String *str,
-                     enum_query_type query_type __attribute__((unused)))
+void Item_int::print(String *str, enum_query_type)
 {
   // my_charset_bin is good enough for numbers
   str_value.set(value, &my_charset_bin);
@@ -1848,8 +1841,7 @@
 }
 
 
-void Item_uint::print(String *str,
-                      enum_query_type query_type __attribute__((unused)))
+void Item_uint::print(String *str, enum_query_type)
 {
   // latin1 is good enough for numbers
   str_value.set((uint64_t) value, default_charset());
@@ -1878,9 +1870,7 @@
 }
 
 
-Item_decimal::Item_decimal(double val,
-                           int precision __attribute__((unused)),
-                           int scale __attribute__((unused)))
+Item_decimal::Item_decimal(double val, int, int)
 {
   double2my_decimal(E_DEC_FATAL_ERROR, val, &decimal_value);
   decimals= (uint8_t) decimal_value.frac;
@@ -1943,16 +1933,14 @@
   return result;
 }
 
-void Item_decimal::print(String *str,
-                         enum_query_type query_type __attribute__((unused)))
+void Item_decimal::print(String *str, enum_query_type)
 {
   my_decimal2string(E_DEC_FATAL_ERROR, &decimal_value, 0, 0, 0, &str_value);
   str->append(str_value);
 }
 
 
-bool Item_decimal::eq(const Item *item,
-                      bool binary_cmp __attribute__((unused))) const
+bool Item_decimal::eq(const Item *item, bool) const
 {
   if (type() == item->type() && item->basic_const_item())
   {
@@ -2111,8 +2099,7 @@
 }
 
 
-bool Item_null::eq(const Item *item,
-                   bool binary_cmp __attribute__((unused))) const
+bool Item_null::eq(const Item *item, bool) const
 { return item->type() == type(); }
 
 
@@ -2131,7 +2118,7 @@
   return 0;
 }
 /* ARGSUSED */
-String *Item_null::val_str(String *str __attribute__((unused)))
+String *Item_null::val_str(String *)
 {
   // following assert is redundant, because fixed=1 assigned in constructor
   assert(fixed == 1);
@@ -2139,7 +2126,7 @@
   return 0;
 }
 
-my_decimal *Item_null::val_decimal(my_decimal *decimal_value __attribute__((unused)))
+my_decimal *Item_null::val_decimal(my_decimal *)
 {
   return 0;
 }
@@ -2159,9 +2146,7 @@
 */
 
 static void
-default_set_param_func(Item_param *param,
-                       unsigned char **pos __attribute__((unused)),
-                       ulong len __attribute__((unused)))
+default_set_param_func(Item_param *param, unsigned char **, ulong)
 {
   param->set_null();
 }
@@ -2807,8 +2792,7 @@
 
 /* End of Item_param related */
 
-void Item_param::print(String *str,
-                       enum_query_type query_type __attribute__((unused)))
+void Item_param::print(String *str, enum_query_type)
 {
   if (state == NO_VALUE)
   {
@@ -2838,7 +2822,7 @@
 }
 
 /* ARGSUSED */
-String *Item_copy_string::val_str(String *str __attribute__((unused)))
+String *Item_copy_string::val_str(String *)
 {
   // Item_copy_string is used without fix_fields call
   if (null_value)
@@ -2862,8 +2846,7 @@
 */
 
 /* ARGSUSED */
-bool Item::fix_fields(Session *session __attribute__((unused)),
-                      Item **ref __attribute__((unused)))
+bool Item::fix_fields(Session *, Item **)
 {
 
   // We do not check fields which are fixed during construction
@@ -3874,7 +3857,7 @@
   See comments in Arg_comparator::set_compare_func() for details.
 */
 
-bool Item_field::set_no_const_sub(unsigned char *arg __attribute__((unused)))
+bool Item_field::set_no_const_sub(unsigned char *)
 {
   if (field->charset() != &my_charset_bin)
     no_const_subst=1;
@@ -3907,7 +3890,7 @@
     - this - otherwise.
 */
 
-Item *Item_field::replace_equal_field(unsigned char *arg __attribute__((unused)))
+Item *Item_field::replace_equal_field(unsigned char *)
 {
   if (item_equal)
   {
@@ -4112,7 +4095,7 @@
     \#    Created field
 */
 
-Field *Item::tmp_table_field_from_field_type(Table *table, bool fixed_length __attribute__((unused)))
+Field *Item::tmp_table_field_from_field_type(Table *table, bool)
 {
   /*
     The field functions defines a field to be not null if null_ptr is not 0
@@ -4329,8 +4312,7 @@
 }
 
 
-int Item_string::save_in_field(Field *field,
-                               bool no_conversions __attribute__((unused)))
+int Item_string::save_in_field(Field *field, bool)
 {
   String *result;
   result=val_str(&str_value);
@@ -4345,8 +4327,7 @@
 }
 
 
-int Item_int::save_in_field(Field *field,
-                            bool no_conversions __attribute__((unused)))
+int Item_int::save_in_field(Field *field, bool)
 {
   int64_t nr=val_int();
   if (null_value)
@@ -4356,16 +4337,14 @@
 }
 
 
-int Item_decimal::save_in_field(Field *field,
-                                bool no_conversions __attribute__((unused)))
+int Item_decimal::save_in_field(Field *field, bool)
 {
   field->set_notnull();
   return field->store_decimal(&decimal_value);
 }
 
 
-bool Item_int::eq(const Item *arg,
-                  bool binary_cmp __attribute__((unused))) const
+bool Item_int::eq(const Item *arg, bool) const
 {
   /* No need to check for null value as basic constant can't be NULL */
   if (arg->basic_const_item() && arg->type() == type())
@@ -4451,8 +4430,7 @@
 }
 
 
-int Item_float::save_in_field(Field *field,
-                              bool no_conversions __attribute__((unused)))
+int Item_float::save_in_field(Field *field, bool)
 {
   double nr= val_real();
   if (null_value)
@@ -4462,8 +4440,7 @@
 }
 
 
-void Item_float::print(String *str,
-                       enum_query_type query_type __attribute__((unused)))
+void Item_float::print(String *str, enum_query_type)
 {
   if (presentation)
   {
@@ -4483,8 +4460,7 @@
   In number context this is a int64_t value.
 */
 
-bool Item_float::eq(const Item *arg,
-                    bool binary_cmp __attribute__((unused))) const
+bool Item_float::eq(const Item *arg, bool) const
 {
   if (arg->basic_const_item() && arg->type() == type())
   {
@@ -4552,12 +4528,11 @@
 }
 
 
-int Item_hex_string::save_in_field(Field *field,
-                                   bool no_conversions __attribute__((unused)))
+int Item_hex_string::save_in_field(Field *field, bool)
 {
   field->set_notnull();
   if (field->result_type() == STRING_RESULT)
-    return field->store(str_value.ptr(), str_value.length(), 
+    return field->store(str_value.ptr(), str_value.length(),
                         collation.collation);
 
   uint64_t nr;
@@ -4583,8 +4558,7 @@
 }
 
 
-void Item_hex_string::print(String *str,
-                            enum_query_type query_type __attribute__((unused)))
+void Item_hex_string::print(String *str, enum_query_type)
 {
   char *end= (char*) str_value.ptr() + str_value.length(),
        *ptr= end - cmin(str_value.length(), (uint32_t)sizeof(int64_t));
@@ -4664,7 +4638,7 @@
 */
 
 bool Item_null::send(Protocol *protocol,
-                     String *packet __attribute__((unused)))
+                     String *)
 {
   return protocol->store_null();
 }
@@ -4743,8 +4717,7 @@
 }
 
 
-bool Item_field::send(Protocol *protocol,
-                      String *buffer __attribute__((unused)))
+bool Item_field::send(Protocol *protocol, String *)
 {
   return protocol->store(result_field);
 }
@@ -5490,8 +5463,7 @@
   }
 }
 
-void Item_ref::fix_after_pullout(st_select_lex *new_parent,
-                                 Item **refptr __attribute__((unused)))
+void Item_ref::fix_after_pullout(st_select_lex *new_parent, Item **)
 {
   if (depended_from == new_parent)
   {
@@ -5517,8 +5489,7 @@
     false   otherwise
 */
 
-bool Item_direct_view_ref::eq(const Item *item,
-                              bool binary_cmp __attribute__((unused))) const
+bool Item_direct_view_ref::eq(const Item *item, bool) const
 {
   if (item->type() == REF_ITEM)
   {
@@ -5539,8 +5510,7 @@
 }
 
 
-bool Item_default_value::fix_fields(Session *session,
-                                    Item **items __attribute__((unused)))
+bool Item_default_value::fix_fields(Session *session, Item **)
 {
   Item *real_arg;
   Item_field *field_arg;
@@ -5656,8 +5626,7 @@
 }
 
 
-bool Item_insert_value::fix_fields(Session *session,
-                                   Item **items __attribute__((unused)))
+bool Item_insert_value::fix_fields(Session *session, Item **)
 {
   assert(fixed == 0);
   /* We should only check that arg is in first table */
@@ -6000,7 +5969,7 @@
   return str;
 }
 
-my_decimal *Item_cache_decimal::val_decimal(my_decimal *val __attribute__((unused)))
+my_decimal *Item_cache_decimal::val_decimal(my_decimal *)
 {
   assert(fixed);
   return &decimal_value;
@@ -6108,7 +6077,7 @@
 }
 
 
-void Item_cache_row::illegal_method_call(const char *method __attribute__((unused)))
+void Item_cache_row::illegal_method_call(const char *)
 {
   assert(0);
   my_error(ER_OPERAND_COLUMNS, MYF(0), 1);
@@ -6260,8 +6229,7 @@
     false  OK
 */
 
-bool Item_type_holder::join_types(Session *session __attribute__((unused)),
-                                  Item *item)
+bool Item_type_holder::join_types(Session *, Item *item)
 {
   uint32_t max_length_orig= max_length;
   uint32_t decimals_orig= decimals;
@@ -6492,8 +6460,7 @@
     do nothing
 */
 
-void dummy_error_processor(Session *session __attribute__((unused)),
-                           void *data __attribute__((unused)))
+void dummy_error_processor(Session *, void *)
 {}
 
 /**

=== modified file 'drizzled/item_row.cc'
--- drizzled/item_row.cc	2008-10-23 03:41:40 +0000
+++ drizzled/item_row.cc	2008-11-04 13:22:55 +0000
@@ -45,18 +45,18 @@
   while ((item= li++))
   {
     items[i]= item;
-    i++;    
+    i++;
   }
 }
 
-void Item_row::illegal_method_call(const char *method __attribute__((unused)))
+void Item_row::illegal_method_call(const char *)
 {
   assert(0);
   my_error(ER_OPERAND_COLUMNS, MYF(0), 1);
   return;
 }
 
-bool Item_row::fix_fields(Session *session, Item **ref __attribute__((unused)))
+bool Item_row::fix_fields(Session *session, Item **)
 {
   assert(fixed == 0);
   null_value= 0;
@@ -121,8 +121,7 @@
   }
 }
 
-void Item_row::fix_after_pullout(st_select_lex *new_parent,
-                                 Item **ref __attribute__((unused)))
+void Item_row::fix_after_pullout(st_select_lex *new_parent, Item **)
 {
   used_tables_cache= 0;
   const_item_cache= 1;

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-11-03 19:19:36 +0000
+++ drizzled/log.cc	2008-11-04 13:22:55 +0000
@@ -200,16 +200,6 @@
 handlerton *binlog_hton;
 
 
-/* Check if a given table is opened log table */
-int check_if_log_table(uint32_t db_len __attribute__((unused)),
-                       const char *db __attribute__((unused)),
-                       uint32_t table_name_len __attribute__((unused)),
-                       const char *table_name __attribute__((unused)),
-                       uint32_t check_if_opened __attribute__((unused)))
-{
-  return 0;
-}
-
 /*
   Log error with all enabled log event handlers
 
@@ -269,7 +259,7 @@
 }
 
 
-bool LOGGER::flush_logs(Session *session __attribute__((unused)))
+bool LOGGER::flush_logs(Session *)
 {
   int rc= 0;
 
@@ -386,8 +376,7 @@
   return 0;
 }
 
-static int binlog_close_connection(handlerton *hton __attribute__((unused)),
-                                   Session *session)
+static int binlog_close_connection(handlerton *, Session *session)
 {
   binlog_trx_data *const trx_data=
     (binlog_trx_data*) session_get_ha_data(session, binlog_hton);
@@ -493,9 +482,7 @@
   return(error);
 }
 
-static int binlog_prepare(handlerton *hton __attribute__((unused)),
-                          Session *session __attribute__((unused)),
-                          bool all __attribute__((unused)))
+static int binlog_prepare(handlerton *, Session *, bool)
 {
   /*
     do nothing.
@@ -519,8 +506,7 @@
 
   @see handlerton::commit
 */
-static int binlog_commit(handlerton *hton __attribute__((unused)),
-                         Session *session, bool all)
+static int binlog_commit(handlerton *, Session *session, bool all)
 {
   binlog_trx_data *const trx_data=
     (binlog_trx_data*) session_get_ha_data(session, binlog_hton);
@@ -617,8 +603,7 @@
 
   @see handlerton::rollback
 */
-static int binlog_rollback(handlerton *hton __attribute__((unused)),
-                           Session *session, bool all)
+static int binlog_rollback(handlerton *, Session *session, bool all)
 {
   int error=0;
   binlog_trx_data *const trx_data=
@@ -682,20 +667,18 @@
   that case there is no need to have it in the binlog).
 */
 
-static int binlog_savepoint_set(handlerton *hton __attribute__((unused)),
-                                Session *session, void *sv)
+static int binlog_savepoint_set(handlerton *, Session *session, void *sv)
 {
   binlog_trans_log_savepos(session, (my_off_t*) sv);
   /* Write it to the binary log */
-  
+
   int const error=
     session->binlog_query(Session::STMT_QUERY_TYPE,
                       session->query, session->query_length, true, false);
   return(error);
 }
 
-static int binlog_savepoint_rollback(handlerton *hton __attribute__((unused)),
-                                     Session *session, void *sv)
+static int binlog_savepoint_rollback(handlerton *, Session *session, void *sv)
 {
   /*
     Write ROLLBACK TO SAVEPOINT to the binlog cache if we have updated some
@@ -3195,10 +3178,8 @@
     signature to be compatible with other logging routines, which could
     return an error (e.g. logging to the log tables)
 */
-static void print_buffer_to_file(enum loglevel level,
-                                 int error_code __attribute__((unused)),
-                                 const char *buffer,
-                                 size_t buffer_length __attribute__((unused)))
+static void print_buffer_to_file(enum loglevel level, int,
+                                 const char *buffer, size_t)
 {
   time_t skr;
   struct tm tm_tmp;
@@ -3529,7 +3510,7 @@
     to the position in memory where xid was logged to.
 */
 
-int TC_LOG_MMAP::log_xid(Session *session __attribute__((unused)), my_xid xid)
+int TC_LOG_MMAP::log_xid(Session *, my_xid xid)
 {
   int err;
   PAGE *p;
@@ -3643,7 +3624,7 @@
   cookie points directly to the memory where xid was logged.
 */
 
-void TC_LOG_MMAP::unlog(ulong cookie, my_xid xid __attribute__((unused)))
+void TC_LOG_MMAP::unlog(ulong cookie, my_xid xid)
 {
   PAGE *p=pages+(cookie/tc_log_page_size);
   my_xid *x=(my_xid *)(data+cookie);
@@ -3901,8 +3882,7 @@
   return(!binlog_end_trans(session, trx_data, &xle, true));
 }
 
-void TC_LOG_BINLOG::unlog(ulong cookie __attribute__((unused)),
-                          my_xid xid __attribute__((unused)))
+void TC_LOG_BINLOG::unlog(ulong, my_xid)
 {
   pthread_mutex_lock(&LOCK_prep_xids);
   assert(prepared_xids > 0);

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-10-30 12:27:25 +0000
+++ drizzled/log_event.cc	2008-11-04 13:22:55 +0000
@@ -2396,7 +2396,7 @@
 }
 
 Log_event::enum_skip_reason
-Format_description_log_event::do_shall_skip(Relay_log_info *rli __attribute__((unused)))
+Format_description_log_event::do_shall_skip(Relay_log_info *)
 {
   return Log_event::EVENT_SKIP_NOT;
 }
@@ -3450,7 +3450,7 @@
 }
 
 
-int Xid_log_event::do_apply_event(Relay_log_info const *rli __attribute__((unused)))
+int Xid_log_event::do_apply_event(const Relay_log_info *)
 {
   return end_trans(session, COMMIT);
 }
@@ -3823,7 +3823,7 @@
 }
 
 
-int Slave_log_event::do_apply_event(Relay_log_info const *rli __attribute__((unused)))
+int Slave_log_event::do_apply_event(const Relay_log_info *)
 {
   if (mysql_bin_log.is_open())
     mysql_bin_log.write(this);
@@ -4265,7 +4265,7 @@
   Delete_file_log_event::do_apply_event()
 */
 
-int Delete_file_log_event::do_apply_event(Relay_log_info const *rli __attribute__((unused)))
+int Delete_file_log_event::do_apply_event(const Relay_log_info *)
 {
   char fname[FN_REFLEN+10];
   char *ext= slave_load_file_stem(fname, file_id, server_id, ".data");
@@ -5537,9 +5537,8 @@
   Mats says tbl->s lives longer than this event so it's ok to copy pointers
   (tbl->s->db etc) and not pointer content.
  */
-Table_map_log_event::Table_map_log_event(Session *session, Table *tbl, ulong tid,
-                                         bool is_transactional __attribute__((unused)),
-                                         uint16_t flags)
+Table_map_log_event::Table_map_log_event(Session *session, Table *tbl,
+                                         ulong tid, bool, uint16_t flags)
   : Log_event(session, 0, true),
     m_table(tbl),
     m_dbnam(tbl->s->db.str),

=== modified file 'drizzled/natural_join_column.cc'
--- drizzled/natural_join_column.cc	2008-10-20 04:28:21 +0000
+++ drizzled/natural_join_column.cc	2008-11-04 13:22:55 +0000
@@ -1,7 +1,7 @@
 #include <drizzled/server_includes.h>
 #include <drizzled/natural_join_column.h>
 
-Natural_join_column::Natural_join_column(Field_translator *field_param __attribute__((unused)), TableList *tab)
+Natural_join_column::Natural_join_column(Field_translator *, TableList *tab)
 {
   assert(tab->field_translation);
   table_field= NULL;

=== modified file 'drizzled/records.cc'
--- drizzled/records.cc	2008-10-23 03:41:40 +0000
+++ drizzled/records.cc	2008-11-04 13:22:55 +0000
@@ -52,9 +52,7 @@
   @param idx          index to scan
 */
 
-void init_read_record_idx(READ_RECORD *info,
-                          Session *session __attribute__((unused)),
-                          Table *table,
+void init_read_record_idx(READ_RECORD *info, Session *, Table *table,
                           bool print_error, uint32_t idx)
 {
   empty_record(table);

=== modified file 'drizzled/rpl_record.cc'
--- drizzled/rpl_record.cc	2008-10-23 03:41:40 +0000
+++ drizzled/rpl_record.cc	2008-11-04 13:22:55 +0000
@@ -315,10 +315,8 @@
   @retval 0                       Success
   @retval ER_NO_DEFAULT_FOR_FIELD Default value could not be set for a field
 */
-int prepare_record(Table *const table,
-                   const MY_BITMAP *cols,
-                   uint32_t width __attribute__((unused)),
-                   const bool check)
+int prepare_record(Table *const table, const MY_BITMAP *cols,
+                   uint32_t, const bool check)
 {
 
   int error= 0;

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-11-04 15:35:55 +0000
+++ drizzled/set_var.cc	2008-11-04 15:39:09 +0000
@@ -528,7 +528,7 @@
 };
 
 
-bool sys_var::check(Session *session __attribute__((unused)), set_var *var)
+bool sys_var::check(Session *, set_var *var)
 {
   var->save_result.uint64_t_value= var->value->val_int();
   return 0;
@@ -582,28 +582,25 @@
 }
 
 
-static bool sys_update_init_connect(Session *session __attribute__((unused)), set_var *var)
+static bool sys_update_init_connect(Session *, set_var *var)
 {
   return update_sys_var_str(&sys_init_connect, &LOCK_sys_init_connect, var);
 }
 
 
-static void sys_default_init_connect(Session* session __attribute__((unused)),
-                                     enum_var_type type __attribute__((unused)))
+static void sys_default_init_connect(Session *, enum_var_type)
 {
   update_sys_var_str(&sys_init_connect, &LOCK_sys_init_connect, 0);
 }
 
 
-static bool sys_update_init_slave(Session *session __attribute__((unused)),
-                                  set_var *var)
+static bool sys_update_init_slave(Session *, set_var *var)
 {
   return update_sys_var_str(&sys_init_slave, &LOCK_sys_init_slave, var);
 }
 
 
-static void sys_default_init_slave(Session* session __attribute__((unused)),
-                                   enum_var_type type __attribute__((unused)))
+static void sys_default_init_slave(Session *, enum_var_type)
 {
   update_sys_var_str(&sys_init_slave, &LOCK_sys_init_slave, 0);
 }
@@ -627,8 +624,7 @@
 
 
 static void
-fix_myisam_max_sort_file_size(Session *session __attribute__((unused)),
-                              enum_var_type type __attribute__((unused)))
+fix_myisam_max_sort_file_size(Session *, enum_var_type)
 {
   myisam_max_temp_length=
     (my_off_t) global_system_variables.myisam_max_sort_file_size;
@@ -672,14 +668,12 @@
 {
   if (type == OPT_SESSION)
     session->session_tx_isolation= ((enum_tx_isolation)
-				session->variables.tx_isolation);
+                                    session->variables.tx_isolation);
 }
 
-static void fix_completion_type(Session *session __attribute__((unused)),
-				enum_var_type type __attribute__((unused))) {}
+static void fix_completion_type(Session *, enum_var_type) {}
 
-static int check_completion_type(Session *session __attribute__((unused)),
-                                 set_var *var)
+static int check_completion_type(Session *, set_var *var)
 {
   int64_t val= var->value->val_int();
   if (val < 0 || val > 2)
@@ -716,8 +710,7 @@
 }
 
 
-extern void fix_delay_key_write(Session *session __attribute__((unused)),
-                                enum_var_type type __attribute__((unused)))
+extern void fix_delay_key_write(Session *, enum_var_type)
 {
   switch ((enum_delay_key_write) delay_key_write_options) {
   case DELAY_KEY_WRITE_NONE:
@@ -733,16 +726,15 @@
   }
 }
 
-bool sys_var_set::update(Session *session __attribute__((unused)),
-                         set_var *var)
+bool sys_var_set::update(Session *, set_var *var)
 {
   *value= var->save_result.uint32_t_value;
   return 0;
 }
 
 unsigned char *sys_var_set::value_ptr(Session *session,
-                              enum_var_type type __attribute__((unused)),
-                              LEX_STRING *base __attribute__((unused)))
+                              enum_var_type,
+                              LEX_STRING *)
 {
   char buff[256];
   String tmp(buff, sizeof(buff), &my_charset_utf8_general_ci);
@@ -765,8 +757,7 @@
   return (unsigned char*) session->strmake(tmp.ptr(), length);
 }
 
-void sys_var_set_slave_mode::set_default(Session *session __attribute__((unused)),
-                                         enum_var_type type __attribute__((unused)))
+void sys_var_set_slave_mode::set_default(Session *, enum_var_type)
 {
   slave_exec_mode_options= 0;
   bit_do_set(slave_exec_mode_options, SLAVE_EXEC_MODE_STRICT);
@@ -794,7 +785,7 @@
   return rc;
 }
 
-void fix_slave_exec_mode(enum_var_type type __attribute__((unused)))
+void fix_slave_exec_mode(enum_var_type)
 {
   if (bit_is_set(slave_exec_mode_options, SLAVE_EXEC_MODE_STRICT) == 1 &&
       bit_is_set(slave_exec_mode_options, SLAVE_EXEC_MODE_IDEMPOTENT) == 1)
@@ -835,15 +826,13 @@
 }
 
 
-void fix_binlog_format_after_update(Session *session,
-                                    enum_var_type type __attribute__((unused)))
+void fix_binlog_format_after_update(Session *session, enum_var_type)
 {
   session->reset_current_stmt_binlog_row_based();
 }
 
 
-static void fix_max_binlog_size(Session *session __attribute__((unused)),
-                                enum_var_type type __attribute__((unused)))
+static void fix_max_binlog_size(Session *, enum_var_type)
 {
   mysql_bin_log.set_max_size(max_binlog_size);
   if (!max_relay_log_size)
@@ -851,16 +840,14 @@
   return;
 }
 
-static void fix_max_relay_log_size(Session *session __attribute__((unused)),
-                                   enum_var_type type __attribute__((unused)))
+static void fix_max_relay_log_size(Session *, enum_var_type)
 {
   active_mi->rli.relay_log.set_max_size(max_relay_log_size ?
                                         max_relay_log_size: max_binlog_size);
   return;
 }
 
-static void fix_max_connections(Session *session __attribute__((unused)),
-                                enum_var_type type __attribute__((unused)))
+static void fix_max_connections(Session *, enum_var_type)
 {
   resize_thr_alarm(max_connections +  10);
 }
@@ -884,8 +871,7 @@
 }
 
 
-static void fix_server_id(Session *session __attribute__((unused)),
-                          enum_var_type type __attribute__((unused)))
+static void fix_server_id(Session *session, enum_var_type)
 {
   server_id_supplied = 1;
   session->server_id= server_id;
@@ -921,7 +907,7 @@
   return out;
 }
 
-static bool get_unsigned(Session *session __attribute__((unused)), set_var *var)
+static bool get_unsigned(Session *, set_var *var)
 {
   if (var->value->unsigned_flag)
     var->save_result.uint64_t_value= (uint64_t) var->value->val_int();
@@ -969,7 +955,7 @@
 }
 
 
-void sys_var_long_ptr_global::set_default(Session *session __attribute__((unused)), enum_var_type type __attribute__((unused)))
+void sys_var_long_ptr_global::set_default(Session *, enum_var_type)
 {
   bool not_used;
   pthread_mutex_lock(guard);
@@ -991,8 +977,7 @@
 }
 
 
-void sys_var_uint32_t_ptr::set_default(Session *session __attribute__((unused)),
-                                        enum_var_type type __attribute__((unused)))
+void sys_var_uint32_t_ptr::set_default(Session *, enum_var_type)
 {
   bool not_used;
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -1015,8 +1000,7 @@
 }
 
 
-void sys_var_uint64_t_ptr::set_default(Session *session __attribute__((unused)),
-                                        enum_var_type type __attribute__((unused)))
+void sys_var_uint64_t_ptr::set_default(Session *, enum_var_type)
 {
   bool not_used;
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -1026,37 +1010,34 @@
 }
 
 
-bool sys_var_bool_ptr::update(Session *session __attribute__((unused)), set_var *var)
+bool sys_var_bool_ptr::update(Session *, set_var *var)
 {
   *value= (bool) var->save_result.uint32_t_value;
   return 0;
 }
 
 
-void sys_var_bool_ptr::set_default(Session *session __attribute__((unused)), enum_var_type type __attribute__((unused)))
+void sys_var_bool_ptr::set_default(Session *, enum_var_type)
 {
   *value= (bool) option_limits->def_value;
 }
 
 
-bool sys_var_enum::update(Session *session __attribute__((unused)), set_var *var)
+bool sys_var_enum::update(Session *, set_var *var)
 {
   *value= (uint) var->save_result.uint32_t_value;
   return 0;
 }
 
 
-unsigned char *sys_var_enum::value_ptr(Session *session __attribute__((unused)),
-                               enum_var_type type __attribute__((unused)),
-                               LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_enum::value_ptr(Session *, enum_var_type, LEX_STRING *)
 {
   return (unsigned char*) enum_names->type_names[*value];
 }
 
 
-unsigned char *sys_var_enum_const::value_ptr(Session *session __attribute__((unused)),
-                                     enum_var_type type __attribute__((unused)),
-                                     LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_enum_const::value_ptr(Session *, enum_var_type,
+                                             LEX_STRING *)
 {
   return (unsigned char*) enum_names->type_names[global_system_variables.*offset];
 }
@@ -1110,8 +1091,9 @@
  }
 
 
-unsigned char *sys_var_session_ulong::value_ptr(Session *session, enum_var_type type,
-                                    LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_ulong::value_ptr(Session *session,
+                                                enum_var_type type,
+                                                LEX_STRING *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -1159,8 +1141,9 @@
 }
 
 
-unsigned char *sys_var_session_ha_rows::value_ptr(Session *session, enum_var_type type,
-                                      LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_ha_rows::value_ptr(Session *session,
+                                                  enum_var_type type,
+                                                  LEX_STRING *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -1211,8 +1194,9 @@
 }
 
 
-unsigned char *sys_var_session_uint64_t::value_ptr(Session *session, enum_var_type type,
-                                        LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_uint64_t::value_ptr(Session *session,
+                                                   enum_var_type type,
+                                                   LEX_STRING *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -1239,8 +1223,9 @@
 }
 
 
-unsigned char *sys_var_session_bool::value_ptr(Session *session, enum_var_type type,
-                                   LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_bool::value_ptr(Session *session,
+                                               enum_var_type type,
+                                               LEX_STRING *)
 {
   if (type == OPT_GLOBAL)
     return (unsigned char*) &(global_system_variables.*offset);
@@ -1248,7 +1233,7 @@
 }
 
 
-bool sys_var::check_enum(Session *session __attribute__((unused)),
+bool sys_var::check_enum(Session *,
                          set_var *var, const TYPELIB *enum_names)
 {
   char buff[STRING_BUFFER_USUAL_SIZE];
@@ -1282,8 +1267,7 @@
 }
 
 
-bool sys_var::check_set(Session *session __attribute__((unused)),
-                        set_var *var, TYPELIB *enum_names)
+bool sys_var::check_set(Session *, set_var *var, TYPELIB *enum_names)
 {
   bool not_used;
   char buff[STRING_BUFFER_USUAL_SIZE], *error= 0;
@@ -1481,8 +1465,9 @@
 }
 
 
-unsigned char *sys_var_session_enum::value_ptr(Session *session, enum_var_type type,
-                                   LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_enum::value_ptr(Session *session,
+                                               enum_var_type type,
+                                               LEX_STRING *)
 {
   ulong tmp= ((type == OPT_GLOBAL) ?
 	      global_system_variables.*offset :
@@ -1503,9 +1488,8 @@
 }
 
 
-unsigned char *sys_var_session_bit::value_ptr(Session *session,
-                                  enum_var_type type __attribute__((unused)),
-                                  LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_bit::value_ptr(Session *session, enum_var_type,
+                                              LEX_STRING *)
 {
   /*
     If reverse is 0 (default) return 1 if bit is set.
@@ -1601,8 +1585,9 @@
 }
 
 
-unsigned char *sys_var_session_date_time_format::value_ptr(Session *session, enum_var_type type,
-                                               LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_date_time_format::value_ptr(Session *session,
+                                                           enum_var_type type,
+                                                           LEX_STRING *)
 {
   if (type == OPT_GLOBAL)
   {
@@ -1626,8 +1611,7 @@
   const char *new_name;
 } my_old_conv;
 
-bool sys_var_collation::check(Session *session __attribute__((unused)),
-                              set_var *var)
+bool sys_var_collation::check(Session *, set_var *var)
 {
   const CHARSET_INFO *tmp;
 
@@ -1661,8 +1645,7 @@
 }
 
 
-bool sys_var_character_set::check(Session *session __attribute__((unused)),
-                                  set_var *var)
+bool sys_var_character_set::check(Session *, set_var *var)
 {
   const CHARSET_INFO *tmp;
 
@@ -1708,8 +1691,9 @@
 }
 
 
-unsigned char *sys_var_character_set::value_ptr(Session *session, enum_var_type type,
-                                        LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_character_set::value_ptr(Session *session,
+                                                enum_var_type type,
+                                                LEX_STRING *)
 {
   const CHARSET_INFO * const cs= ci_ptr(session,type)[0];
   return cs ? (unsigned char*) cs->csname : (unsigned char*) NULL;
@@ -1741,11 +1725,13 @@
 }
 
 
-unsigned char *sys_var_collation_sv::value_ptr(Session *session, enum_var_type type,
-                                       LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_collation_sv::value_ptr(Session *session,
+                                               enum_var_type type,
+                                               LEX_STRING *)
 {
   const CHARSET_INFO *cs= ((type == OPT_GLOBAL) ?
-		     global_system_variables.*offset : session->variables.*offset);
+                           global_system_variables.*offset :
+                           session->variables.*offset);
   return cs ? (unsigned char*) cs->name : (unsigned char*) "NULL";
 }
 
@@ -1764,9 +1750,8 @@
 }
 
 
-unsigned char *sys_var_key_cache_param::value_ptr(Session *session __attribute__((unused)),
-                                          enum_var_type type __attribute__((unused)),
-                                          LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_key_cache_param::value_ptr(Session *, enum_var_type,
+                                                  LEX_STRING *base)
 {
   KEY_CACHE *key_cache= get_key_cache(base);
   if (!key_cache)
@@ -1909,7 +1894,7 @@
   error= (bool) (ha_resize_key_cache(key_cache));
 
   pthread_mutex_lock(&LOCK_global_system_variables);
-  key_cache->in_init= 0;  
+  key_cache->in_init= 0;
 
 end:
   pthread_mutex_unlock(&LOCK_global_system_variables);
@@ -1917,7 +1902,7 @@
 }
 
 
-bool sys_var_log_state::update(Session *session __attribute__((unused)), set_var *var)
+bool sys_var_log_state::update(Session *, set_var *var)
 {
   bool res;
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -1929,14 +1914,12 @@
   return res;
 }
 
-void sys_var_log_state::set_default(Session *session __attribute__((unused)),
-                                    enum_var_type type __attribute__((unused)))
+void sys_var_log_state::set_default(Session *, enum_var_type)
 {
 }
 
 
-bool update_sys_var_str_path(Session *session __attribute__((unused)),
-                             sys_var_str *var_str,
+bool update_sys_var_str_path(Session *, sys_var_str *var_str,
                              set_var *var, const char *log_ext,
                              bool log_state, uint32_t log_type)
 {
@@ -1984,8 +1967,7 @@
 }
 
 
-bool sys_var_log_output::update(Session *session __attribute__((unused)),
-                                set_var *var)
+bool sys_var_log_output::update(Session *, set_var *var)
 {
   pthread_mutex_lock(&LOCK_global_system_variables);
   logger.lock_exclusive();
@@ -1996,8 +1978,7 @@
 }
 
 
-void sys_var_log_output::set_default(Session *session __attribute__((unused)),
-                                     enum_var_type type __attribute__((unused)))
+void sys_var_log_output::set_default(Session *, enum_var_type)
 {
   pthread_mutex_lock(&LOCK_global_system_variables);
   logger.lock_exclusive();
@@ -2008,8 +1989,7 @@
 
 
 unsigned char *sys_var_log_output::value_ptr(Session *session,
-                                     enum_var_type type __attribute__((unused)),
-                                     LEX_STRING *base __attribute__((unused)))
+                                             enum_var_type, LEX_STRING *)
 {
   char buff[256];
   String tmp(buff, sizeof(buff), &my_charset_utf8_general_ci);
@@ -2037,7 +2017,7 @@
   Functions to handle SET NAMES and SET CHARACTER SET
 *****************************************************************************/
 
-int set_var_collation_client::check(Session *session __attribute__((unused)))
+int set_var_collation_client::check(Session *)
 {
   /* Currently, UCS-2 cannot be used as a client character set */
   if (character_set_client->mbminlen > 1)
@@ -2068,16 +2048,14 @@
 }
 
 
-void sys_var_timestamp::set_default(Session *session,
-                                    enum_var_type type __attribute__((unused)))
+void sys_var_timestamp::set_default(Session *session, enum_var_type)
 {
   session->user_time=0;
 }
 
 
-unsigned char *sys_var_timestamp::value_ptr(Session *session,
-                                    enum_var_type type __attribute__((unused)),
-                                    LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_timestamp::value_ptr(Session *session, enum_var_type,
+                                            LEX_STRING *)
 {
   session->sys_var_tmp.long_value= (long) session->start_time;
   return (unsigned char*) &session->sys_var_tmp.long_value;
@@ -2093,14 +2071,14 @@
 
 
 unsigned char *sys_var_last_insert_id::value_ptr(Session *session,
-                                         enum_var_type type __attribute__((unused)),
-                                         LEX_STRING *base __attribute__((unused)))
+                                                 enum_var_type,
+                                                 LEX_STRING *)
 {
   /*
     this tmp var makes it robust againt change of type of
     read_first_successful_insert_id_in_prev_stmt().
   */
-  session->sys_var_tmp.uint64_t_value= 
+  session->sys_var_tmp.uint64_t_value=
     session->read_first_successful_insert_id_in_prev_stmt();
   return (unsigned char*) &session->sys_var_tmp.uint64_t_value;
 }
@@ -2113,9 +2091,8 @@
 }
 
 
-unsigned char *sys_var_insert_id::value_ptr(Session *session,
-                                    enum_var_type type __attribute__((unused)),
-                                    LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_insert_id::value_ptr(Session *session, enum_var_type,
+                                            LEX_STRING *)
 {
   session->sys_var_tmp.uint64_t_value=
     session->auto_inc_intervals_forced.minimum();
@@ -2166,10 +2143,11 @@
 }
 
 
-unsigned char *sys_var_session_time_zone::value_ptr(Session *session, enum_var_type type,
-                                        LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_time_zone::value_ptr(Session *session,
+                                                    enum_var_type type,
+                                                    LEX_STRING *)
 {
-  /* 
+  /*
     We can use ptr() instead of c_ptr() here because String contaning
     time zone name is guaranteed to be zero ended.
   */
@@ -2229,8 +2207,7 @@
   }
 }
 
-bool sys_var_max_user_conn::update(Session *session __attribute__((unused)),
-                                   set_var *var)
+bool sys_var_max_user_conn::update(Session *, set_var *var)
 {
   assert(var->type == OPT_GLOBAL);
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -2240,8 +2217,7 @@
 }
 
 
-void sys_var_max_user_conn::set_default(Session *session __attribute__((unused)),
-                                        enum_var_type type __attribute__((unused)))
+void sys_var_max_user_conn::set_default(Session *, enum_var_type type)
 {
   assert(type == OPT_GLOBAL);
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -2250,8 +2226,9 @@
 }
 
 
-unsigned char *sys_var_max_user_conn::value_ptr(Session *session, enum_var_type type,
-                                        LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_max_user_conn::value_ptr(Session *session,
+                                                enum_var_type type,
+                                                LEX_STRING *)
 {
   if (type != OPT_GLOBAL &&
       session->user_connect && session->user_connect->user_resources.user_conn)
@@ -2260,8 +2237,7 @@
 }
 
 
-bool sys_var_session_lc_time_names::check(Session *session __attribute__((unused)),
-                                      set_var *var)
+bool sys_var_session_lc_time_names::check(Session *, set_var *var)
 {
   MY_LOCALE *locale_match;
 
@@ -2309,8 +2285,8 @@
 
 
 unsigned char *sys_var_session_lc_time_names::value_ptr(Session *session,
-                                            enum_var_type type,
-                                            LEX_STRING *base __attribute__((unused)))
+                                                        enum_var_type type,
+                                                        LEX_STRING *)
 {
   return type == OPT_GLOBAL ?
                  (unsigned char *) global_system_variables.lc_time_names->name :
@@ -2370,8 +2346,9 @@
 }
 
 
-unsigned char *sys_var_microseconds::value_ptr(Session *session, enum_var_type type,
-                                          LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_microseconds::value_ptr(Session *session,
+                                               enum_var_type type,
+                                               LEX_STRING *)
 {
   session->tmp_double_value= (double) ((type == OPT_GLOBAL) ?
                                    global_system_variables.*offset :
@@ -2426,15 +2403,13 @@
   return 0;
 }
 
-static int check_log_update(Session *session __attribute__((unused)),
-                            set_var *var __attribute__((unused)))
+static int check_log_update(Session *, set_var *)
 {
   return 0;
 }
 
 
-static int check_pseudo_thread_id(Session *session __attribute__((unused)),
-                                  set_var *var)
+static int check_pseudo_thread_id(Session *, set_var *var)
 {
   var->save_result.uint64_t_value= var->value->val_int();
   return 0;
@@ -2471,7 +2446,7 @@
   @retval
     ptr		pointer to NUL-terminated string
 */
-static unsigned char *get_tmpdir(Session *session __attribute__((unused)))
+static unsigned char *get_tmpdir(Session *)
 {
   if (opt_mysql_tmpdir)
     return (unsigned char *)opt_mysql_tmpdir;
@@ -2522,7 +2497,7 @@
 */
 
 static unsigned char *get_sys_var_length(const sys_var *var, size_t *length,
-                                 bool first __attribute__((unused)))
+                                         bool)
 {
   *length= var->name_length;
   return (unsigned char*) var->name;
@@ -2894,7 +2869,7 @@
 }
 
 
-int set_var_user::update(Session *session __attribute__((unused)))
+int set_var_user::update(Session *)
 {
   if (user_var_item->update())
   {
@@ -2941,8 +2916,9 @@
 }
 
 
-unsigned char *sys_var_session_storage_engine::value_ptr(Session *session, enum_var_type type,
-                                             LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_storage_engine::value_ptr(Session *session,
+                                                         enum_var_type type,
+                                                         LEX_STRING *)
 {
   unsigned char* result;
   handlerton *hton;
@@ -3023,8 +2999,9 @@
 }
 
 
-unsigned char *sys_var_session_optimizer_switch::value_ptr(Session *session, enum_var_type type,
-                                               LEX_STRING *base __attribute__((unused)))
+unsigned char *sys_var_session_optimizer_switch::value_ptr(Session *session,
+                                                           enum_var_type type,
+                                                           LEX_STRING *)
 {
   LEX_STRING opts;
   uint64_t val= ((type == OPT_GLOBAL) ? global_system_variables.*offset :
@@ -3124,8 +3101,7 @@
 }
 
 
-void free_key_cache(const char *name __attribute__((unused)),
-                    KEY_CACHE *key_cache)
+void free_key_cache(const char *, KEY_CACHE *key_cache)
 {
   ha_end_key_cache(key_cache);
   free((char*) key_cache);

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-10-31 05:09:50 +0000
+++ drizzled/slave.cc	2008-11-04 13:22:55 +0000
@@ -511,9 +511,7 @@
 */
 
 int32_t start_slave_threads(bool need_slave_mutex, bool wait_for_start,
-                        Master_info* mi,
-                        const char* master_info_fname __attribute__((unused)),
-                        const char* slave_info_fname __attribute__((unused)),
+                        Master_info* mi, const char*, const char*,
                         int32_t thread_mask)
 {
   pthread_mutex_t *lock_io=0,*lock_sql=0,*lock_cond_io=0,*lock_cond_sql=0;
@@ -1058,7 +1056,7 @@
     ignored events' end position for the use of the slave SQL thread, by
     calling this function. Only that thread can call it (see assertion).
  */
-static void write_ignored_events_info_to_relay_log(Session *session __attribute__((unused)),
+static void write_ignored_events_info_to_relay_log(Session *session,
                                                    Master_info *mi)
 {
   Relay_log_info *rli= &mi->rli;
@@ -1463,8 +1461,8 @@
 */
 
 static uint32_t read_event(DRIZZLE *drizzle,
-                        Master_info *mi __attribute__((unused)),
-                        bool* suppress_warnings)
+                           Master_info *mi,
+                           bool* suppress_warnings)
 {
   uint32_t len;
 
@@ -1507,9 +1505,8 @@
 }
 
 
-int32_t check_expected_error(Session* session __attribute__((unused)),
-                         Relay_log_info const *rli __attribute__((unused)),
-                         int32_t expected_error)
+int32_t check_expected_error(Session*, Relay_log_info const *,
+                             int32_t expected_error)
 {
   switch (expected_error) {
   case ER_NET_READ_ERROR:

=== modified file 'drizzled/sql_delete.cc'
--- drizzled/sql_delete.cc	2008-10-30 05:50:30 +0000
+++ drizzled/sql_delete.cc	2008-11-04 13:22:55 +0000
@@ -503,8 +503,7 @@
 
 
 int
-multi_delete::prepare(List<Item> &values __attribute__((unused)),
-                      SELECT_LEX_UNIT *u)
+multi_delete::prepare(List<Item> &, SELECT_LEX_UNIT *u)
 {
   
   unit= u;
@@ -599,11 +598,11 @@
 }
 
 
-bool multi_delete::send_data(List<Item> &values __attribute__((unused)))
+bool multi_delete::send_data(List<Item> &)
 {
   int secure_counter= delete_while_scanning ? -1 : 0;
   TableList *del_table;
-  
+
 
   for (del_table= delete_tables;
        del_table;

=== modified file 'drizzled/sql_derived.cc'
--- drizzled/sql_derived.cc	2008-10-20 04:28:21 +0000
+++ drizzled/sql_derived.cc	2008-11-04 13:22:55 +0000
@@ -92,7 +92,7 @@
     true   Error
 */
 
-bool mysql_derived_prepare(Session *session, LEX *lex __attribute__((unused)),
+bool mysql_derived_prepare(Session *session, LEX *,
                            TableList *orig_table_list)
 {
   SELECT_LEX_UNIT *unit= orig_table_list->derived;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-11-03 02:56:13 +0000
+++ drizzled/sql_parse.cc	2008-11-04 13:22:55 +0000
@@ -2484,8 +2484,7 @@
     corresponding exec. (Thus we only have to check in fix_fields.)
   - Passing to check_stack_overrun() prevents the compiler from removing it.
 */
-bool check_stack_overrun(Session *session, long margin,
-			 unsigned char *buf __attribute__((unused)))
+bool check_stack_overrun(Session *session, long margin, unsigned char *)
 {
   long stack_used;
   assert(session == current_session);
@@ -3197,7 +3196,7 @@
     - 0, otherwise
 */
 
-TableList *st_select_lex::end_nested_join(Session *session __attribute__((unused)))
+TableList *st_select_lex::end_nested_join(Session *)
 {
   TableList *ptr;
   nested_join_st *nested_join;
@@ -3685,8 +3684,7 @@
 */
 
 static unsigned int
-kill_one_thread(Session *session __attribute__((unused)),
-                ulong id, bool only_kill_query)
+kill_one_thread(Session *, ulong id, bool only_kill_query)
 {
   Session *tmp;
   uint32_t error=ER_NO_SUCH_THREAD;
@@ -3865,8 +3863,7 @@
     true  Error
 */
 
-bool multi_update_precheck(Session *session,
-                           TableList *tables __attribute__((unused)))
+bool multi_update_precheck(Session *session, TableList *)
 {
   const char *msg= 0;
   LEX *lex= session->lex;
@@ -3902,8 +3899,7 @@
     true  error
 */
 
-bool multi_delete_precheck(Session *session,
-                           TableList *tables __attribute__((unused)))
+bool multi_delete_precheck(Session *session, TableList *)
 {
   SELECT_LEX *select_lex= &session->lex->select_lex;
   TableList **save_query_tables_own_last= session->lex->query_tables_own_last;
@@ -3938,9 +3934,8 @@
   @return Matching table, NULL otherwise.
 */
 
-static TableList *multi_delete_table_match(LEX *lex __attribute__((unused)),
-                                            TableList *tbl,
-                                            TableList *tables)
+static TableList *multi_delete_table_match(LEX *, TableList *tbl,
+                                           TableList *tables)
 {
   TableList *match= NULL;
 
@@ -4030,7 +4025,7 @@
     true  Error
 */
 
-bool update_precheck(Session *session, TableList *tables __attribute__((unused)))
+bool update_precheck(Session *session, TableList *)
 {
   if (session->lex->select_lex.item_list.elements != session->lex->value_list.elements)
   {
@@ -4053,7 +4048,7 @@
     true   error
 */
 
-bool insert_precheck(Session *session, TableList *tables __attribute__((unused)))
+bool insert_precheck(Session *session, TableList *)
 {
   LEX *lex= session->lex;
 
@@ -4083,8 +4078,7 @@
     true   Error
 */
 
-bool create_table_precheck(Session *session __attribute__((unused)),
-                           TableList *tables __attribute__((unused)),
+bool create_table_precheck(Session *, TableList *,
                            TableList *create_table)
 {
   bool error= true;                                 // Error message is given
@@ -4135,34 +4129,6 @@
 }
 
 
-/**
-  Check that byte length of a string does not exceed some limit.
-
-  @param str         string to be checked
-  @param err_msg     error message to be displayed if the string is too long
-  @param max_length  max length
-
-  @retval
-    false   the passed string is not longer than max_length
-  @retval
-    true    the passed string is longer than max_length
-
-  NOTE
-    The function is not used in existing code but can be useful later?
-*/
-
-bool check_string_byte_length(LEX_STRING *str, const char *err_msg,
-                              uint32_t max_byte_length)
-{
-  if (str->length <= max_byte_length)
-    return false;
-
-  my_error(ER_WRONG_STRING_LENGTH, MYF(0), str->str, err_msg, max_byte_length);
-
-  return true;
-}
-
-
 /*
   Check that char length of a string does not exceed some limit.
 

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2008-11-03 19:19:36 +0000
+++ drizzled/sql_select.cc	2008-11-04 13:22:55 +0000
@@ -4572,8 +4572,7 @@
 
 static bool
 update_ref_and_keys(Session *session, DYNAMIC_ARRAY *keyuse,JOIN_TAB *join_tab,
-                    uint32_t tables, COND *cond,
-                    COND_EQUAL *cond_equal __attribute__((unused)),
+                    uint32_t tables, COND *cond, COND_EQUAL *,
                     table_map normal_tables, SELECT_LEX *select_lex,
                     SARGABLE_PARAM **sargables)
 {
@@ -4923,7 +4922,7 @@
                  table_map remaining_tables,
                  uint32_t      idx,
                  double    record_count,
-                 double    read_time __attribute__((unused)))
+                 double)
 {
   KEYUSE *best_key=         0;
   uint32_t best_max_key_part=   0;
@@ -6230,8 +6229,7 @@
   Find how much space the prevous read not const tables takes in cache.
 */
 
-static void calc_used_field_length(Session *session __attribute__((unused)),
-                                   JOIN_TAB *join_tab)
+static void calc_used_field_length(Session *, JOIN_TAB *join_tab)
 {
   uint32_t null_fields,blobs,fields,rec_length;
   Field **f_ptr,*field;
@@ -8371,8 +8369,7 @@
   {
     return (void*) sql_alloc((uint) size);
   }
-  static void operator delete(void *ptr __attribute__((unused)),
-                              size_t size __attribute__((unused)))
+  static void operator delete(void *, size_t)
   { TRASH(ptr, size); }
 
   Item *and_level;
@@ -11590,7 +11587,7 @@
 
 	/* ARGSUSED */
 static int
-join_no_more_records(READ_RECORD *info __attribute__((unused)))
+join_no_more_records(READ_RECORD *)
 {
   return -1;
 }
@@ -11890,8 +11887,8 @@
 
 /* ARGSUSED */
 static enum_nested_loop_state
-end_send(JOIN *join, JOIN_TAB *join_tab __attribute__((unused)),
-	 bool end_of_records)
+end_send(JOIN *join, JOIN_TAB *,
+         bool end_of_records)
 {
   if (!end_of_records)
   {
@@ -11955,10 +11952,9 @@
 }
 
 
-	/* ARGSUSED */
+/* ARGSUSED */
 enum_nested_loop_state
-end_send_group(JOIN *join, JOIN_TAB *join_tab __attribute__((unused)),
-	       bool end_of_records)
+end_send_group(JOIN *join, JOIN_TAB *, bool end_of_records)
 {
   int idx= -1;
   enum_nested_loop_state ok_code= NESTED_LOOP_OK;
@@ -11966,7 +11962,7 @@
   if (!join->first_record || end_of_records ||
       (idx=test_if_item_cache_changed(join->group_fields)) >= 0)
   {
-    if (join->first_record || 
+    if (join->first_record ||
         (end_of_records && !join->group && !join->group_optimized_away))
     {
       if (idx < (int) join->send_group_parts)
@@ -12048,10 +12044,10 @@
 }
 
 
-	/* ARGSUSED */
+/* ARGSUSED */
 enum_nested_loop_state
-end_write(JOIN *join, JOIN_TAB *join_tab __attribute__((unused)),
-	  bool end_of_records)
+end_write(JOIN *join, JOIN_TAB *,
+          bool end_of_records)
 {
   Table *table=join->tmp_table;
 
@@ -12098,8 +12094,8 @@
 /** Group by searching after group record and updating it if possible. */
 
 static enum_nested_loop_state
-end_update(JOIN *join, JOIN_TAB *join_tab __attribute__((unused)),
-	   bool end_of_records)
+end_update(JOIN *join, JOIN_TAB *,
+           bool end_of_records)
 {
   Table *table=join->tmp_table;
   order_st   *group;
@@ -12174,8 +12170,8 @@
 /** Like end_update, but this is done with unique constraints instead of keys.  */
 
 static enum_nested_loop_state
-end_unique_update(JOIN *join, JOIN_TAB *join_tab __attribute__((unused)),
-		  bool end_of_records)
+end_unique_update(JOIN *join, JOIN_TAB *,
+                  bool end_of_records)
 {
   Table *table=join->tmp_table;
   int	  error;
@@ -12219,10 +12215,10 @@
 }
 
 
-	/* ARGSUSED */
+/* ARGSUSED */
 enum_nested_loop_state
-end_write_group(JOIN *join, JOIN_TAB *join_tab __attribute__((unused)),
-		bool end_of_records)
+end_write_group(JOIN *join, JOIN_TAB *,
+                bool end_of_records)
 {
   Table *table=join->tmp_table;
   int	  idx= -1;
@@ -14369,8 +14365,7 @@
 static order_st *
 create_distinct_group(Session *session, Item **ref_pointer_array,
                       order_st *order_list, List<Item> &fields,
-                      List<Item> &all_fields __attribute__((unused)),
-                      bool *all_order_by_fields_used)
+                      List<Item> &, bool *all_order_by_fields_used)
 {
   List_iterator<Item> li(fields);
   Item *item;
@@ -15147,8 +15142,7 @@
 /** Update record 0 in tmp_table from record 1. */
 
 static void
-update_tmptable_sum_func(Item_sum **func_ptr,
-			 Table *tmp_table __attribute__((unused)))
+update_tmptable_sum_func(Item_sum **func_ptr, Table *)
 {
   Item_sum *func;
   while ((func= *(func_ptr++)))
@@ -15254,8 +15248,7 @@
   @param select   pointer to st_select_lex which subselects joins we will free
 */
 
-void free_underlaid_joins(Session *session __attribute__((unused)),
-                          SELECT_LEX *select)
+void free_underlaid_joins(Session *, SELECT_LEX *select)
 {
   for (SELECT_LEX_UNIT *unit= select->first_inner_unit();
        unit;
@@ -16277,10 +16270,8 @@
   @query_type    type of the query is being generated
 */
 
-static void print_join(Session *session,
-                       String *str,
-                       List<TableList> *tables,
-                       enum_query_type query_type __attribute__((unused)))
+static void print_join(Session *session, String *str,
+                       List<TableList> *tables, enum_query_type)
 {
   /* List is reversed => we should reverse it before using */
   List_iterator_fast<TableList> ti(*tables);

=== modified file 'drizzled/sql_show.cc'
--- drizzled/sql_show.cc	2008-10-29 21:21:57 +0000
+++ drizzled/sql_show.cc	2008-11-04 13:22:55 +0000
@@ -180,7 +180,7 @@
 }
 
 
-int fill_plugins(Session *session, TableList *tables, COND *cond __attribute__((unused)))
+int fill_plugins(Session *session, TableList *tables, COND *)
 {
   Table *table= tables->table;
 
@@ -563,9 +563,9 @@
 
 /* Append directory name (if exists) to CREATE INFO */
 
-static void append_directory(Session *session __attribute__((unused)),
+static void append_directory(Session *,
                              String *packet, const char *dir_type,
-			     const char *filename)
+                             const char *filename)
 {
   if (filename)
   {
@@ -581,7 +581,7 @@
 
 #define LIST_PROCESS_HOST_LEN 64
 
-static bool get_field_default_value(Session *session __attribute__((unused)),
+static bool get_field_default_value(Session *,
                                     Field *timestamp_field,
                                     Field *field, String *def_value,
                                     bool quoted)
@@ -1054,7 +1054,7 @@
   return(false);
 }
 
-static void store_key_options(Session *session __attribute__((unused)),
+static void store_key_options(Session *,
                               String *packet, Table *table,
                               KEY *key_info)
 {
@@ -1096,8 +1096,7 @@
   {
     return (void*) sql_alloc((uint) size);
   }
-  static void operator delete(void *ptr __attribute__((unused)),
-                              size_t size __attribute__((unused)))
+  static void operator delete(void *, size_t)
   { TRASH(ptr, size); }
 
   ulong thread_id;
@@ -1215,8 +1214,7 @@
   return;
 }
 
-int fill_schema_processlist(Session* session, TableList* tables,
-                            COND* cond __attribute__((unused)))
+int fill_schema_processlist(Session* session, TableList* tables, COND*)
 {
   Table *table= tables->table;
   const CHARSET_INFO * const cs= system_charset_info;
@@ -2385,7 +2383,7 @@
 
 static uint32_t get_table_open_method(TableList *tables,
                                   ST_SCHEMA_TABLE *schema_table,
-                                  enum enum_schema_tables schema_table_idx __attribute__((unused)))
+                                  enum enum_schema_tables)
 {
   /*
     determine which method will be used for table opening
@@ -2428,7 +2426,7 @@
                                       ST_SCHEMA_TABLE *schema_table,
                                       LEX_STRING *db_name,
                                       LEX_STRING *table_name,
-                                      enum enum_schema_tables schema_table_idx __attribute__((unused)))
+                                      enum enum_schema_tables)
 {
   Table *table= tables->table;
   TABLE_SHARE *share;
@@ -3216,7 +3214,7 @@
 
 
 
-int fill_schema_charsets(Session *session, TableList *tables, COND *cond __attribute__((unused)))
+int fill_schema_charsets(Session *session, TableList *tables, COND *)
 {
   CHARSET_INFO **cs;
   const char *wild= session->lex->wild ? session->lex->wild->ptr() : NULL;
@@ -3247,7 +3245,7 @@
 }
 
 
-int fill_schema_collation(Session *session, TableList *tables, COND *cond __attribute__((unused)))
+int fill_schema_collation(Session *session, TableList *tables, COND *)
 {
   CHARSET_INFO **cs;
   const char *wild= session->lex->wild ? session->lex->wild->ptr() : NULL;
@@ -3289,7 +3287,7 @@
 }
 
 
-int fill_schema_coll_charset_app(Session *session, TableList *tables, COND *cond __attribute__((unused)))
+int fill_schema_coll_charset_app(Session *session, TableList *tables, COND *)
 {
   CHARSET_INFO **cs;
   Table *table= tables->table;
@@ -3593,7 +3591,7 @@
 }
 
 
-int fill_open_tables(Session *session, TableList *tables, COND *cond __attribute__((unused)))
+int fill_open_tables(Session *session, TableList *tables, COND *)
 {
   const char *wild= session->lex->wild ? session->lex->wild->ptr() : NULL;
   Table *table= tables->table;
@@ -3617,7 +3615,7 @@
 }
 
 
-int fill_variables(Session *session, TableList *tables, COND *cond __attribute__((unused)))
+int fill_variables(Session *session, TableList *tables, COND *)
 {
   int res= 0;
   LEX *lex= session->lex;
@@ -3640,7 +3638,7 @@
 }
 
 
-int fill_status(Session *session, TableList *tables, COND *cond __attribute__((unused)))
+int fill_status(Session *session, TableList *tables, COND *)
 {
   LEX *lex= session->lex;
   const char *wild= lex->wild ? lex->wild->ptr() : NULL;
@@ -3778,9 +3776,8 @@
     0	table not found
     1   found the schema table
 */
-static bool find_schema_table_in_plugin(Session *session __attribute__((unused)),
-                                           plugin_ref plugin,
-                                           void* p_table)
+static bool find_schema_table_in_plugin(Session *, plugin_ref plugin,
+                                        void* p_table)
 {
   schema_table_ref *p_schema_table= (schema_table_ref *)p_table;
   const char* table_name= p_schema_table->table_name;

=== modified file 'drizzled/sql_union.cc'
--- drizzled/sql_union.cc	2008-10-23 02:48:56 +0000
+++ drizzled/sql_union.cc	2008-11-04 13:22:55 +0000
@@ -21,9 +21,7 @@
 #include <drizzled/sql_select.h>
 #include <drizzled/error.h>
 
-bool mysql_union(Session *session,
-                 LEX *lex __attribute__((unused)),
-                 select_result *result,
+bool mysql_union(Session *session, LEX *, select_result *result,
                  SELECT_LEX_UNIT *unit, ulong setup_tables_done_option)
 {
   bool res;
@@ -40,8 +38,7 @@
 ** store records in temporary table for UNION
 ***************************************************************************/
 
-int select_union::prepare(List<Item> &list __attribute__((unused)),
-                          SELECT_LEX_UNIT *u)
+int select_union::prepare(List<Item> &, SELECT_LEX_UNIT *u)
 {
   unit= u;
   return 0;

=== modified file 'drizzled/sql_update.cc'
--- drizzled/sql_update.cc	2008-10-30 05:50:30 +0000
+++ drizzled/sql_update.cc	2008-11-04 13:22:55 +0000
@@ -149,14 +149,10 @@
     1  - error
 */
 
-int mysql_update(Session *session,
-                 TableList *table_list,
-                 List<Item> &fields,
-                 List<Item> &values,
-                 COND *conds,
+int mysql_update(Session *session, TableList *table_list,
+                 List<Item> &fields, List<Item> &values, COND *conds,
                  uint32_t order_num, order_st *order,
-                 ha_rows limit,
-                 enum enum_duplicates handle_duplicates __attribute__((unused)),
+                 ha_rows limit, enum enum_duplicates,
                  bool ignore)
 {
   bool		using_limit= limit != HA_POS_ERROR;
@@ -1020,8 +1016,8 @@
   Connect fields with tables and create list of tables that are updated
 */
 
-int multi_update::prepare(List<Item> &not_used_values __attribute__((unused)),
-                          SELECT_LEX_UNIT *lex_unit __attribute__((unused)))
+int multi_update::prepare(List<Item> &,
+                          SELECT_LEX_UNIT *)
 {
   TableList *table_ref;
   SQL_LIST update;
@@ -1317,10 +1313,10 @@
 }
 
 
-bool multi_update::send_data(List<Item> &not_used_values __attribute__((unused)))
+bool multi_update::send_data(List<Item> &)
 {
   TableList *cur_table;
-  
+
   for (cur_table= update_tables; cur_table; cur_table= cur_table->next_local)
   {
     Table *table= cur_table->table;

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-10-30 12:27:25 +0000
+++ drizzled/table.cc	2008-11-04 13:22:55 +0000
@@ -52,8 +52,7 @@
 
 /* Get column name from column hash */
 
-static unsigned char *get_field_name(Field **buff, size_t *length,
-                             bool not_used __attribute__((unused)))
+static unsigned char *get_field_name(Field **buff, size_t *length, bool)
 {
   *length= (uint) strlen((*buff)->field_name);
   return (unsigned char*) (*buff)->field_name;
@@ -304,7 +303,7 @@
    6    Unknown .frm version
 */
 
-int open_table_def(Session *session, TABLE_SHARE *share, uint32_t db_flags  __attribute__((unused)))
+int open_table_def(Session *session, TABLE_SHARE *share, uint32_t)
 {
   int error, table_type;
   bool error_given;
@@ -2519,7 +2518,7 @@
     that are present in this value, returns the length of the value
 */
 uint32_t calculate_key_len(Table *table, uint32_t key,
-                       const unsigned char *buf __attribute__((unused)),
+                       const unsigned char *,
                        key_part_map keypart_map)
 {
   /* works only with key prefixes */
@@ -3565,8 +3564,7 @@
   true       table
 */
 
-bool mysql_frm_type(Session *session __attribute__((unused)),
-                    char *path, enum legacy_db_type *dbt)
+bool mysql_frm_type(Session *, char *path, enum legacy_db_type *dbt)
 {
   File file;
   unsigned char header[10];     /* This should be optimized */
@@ -3688,7 +3686,7 @@
     new_created field
 */
 
-static Field *create_tmp_field_from_item(Session *session __attribute__((unused)),
+static Field *create_tmp_field_from_item(Session *,
                                          Item *item, Table *table,
                                          Item ***copy_func, bool modify_item,
                                          uint32_t convert_blob_length)
@@ -3812,8 +3810,7 @@
     new_created field
 */
 
-Field *create_tmp_field_for_schema(Session *session __attribute__((unused)),
-                                   Item *item, Table *table)
+Field *create_tmp_field_for_schema(Session *, Item *item, Table *table)
 {
   if (item->field_type() == DRIZZLE_TYPE_VARCHAR)
   {
@@ -3862,12 +3859,10 @@
     new_created field
 */
 
-Field *create_tmp_field(Session *session, Table *table,Item *item, Item::Type type,
-                        Item ***copy_func, Field **from_field,
-                        Field **default_field,
-                        bool group, bool modify_item,
-                        bool table_cant_handle_bit_fields __attribute__((unused)),
-                        bool make_copy_field,
+Field *create_tmp_field(Session *session, Table *table,Item *item,
+                        Item::Type type, Item ***copy_func, Field **from_field,
+                        Field **default_field, bool group, bool modify_item,
+                        bool, bool make_copy_field,
                         uint32_t convert_blob_length)
 {
   Field *result;

=== modified file 'drizzled/thr_malloc.cc'
--- drizzled/thr_malloc.cc	2008-10-23 02:48:56 +0000
+++ drizzled/thr_malloc.cc	2008-11-04 13:22:55 +0000
@@ -79,15 +79,16 @@
   return pos;
 }
 
-void sql_element_free(void *ptr __attribute__((unused)))
+void sql_element_free(void *)
 {} /* purecov: deadcode */
 
 
 
 char *sql_strmake_with_convert(const char *str, size_t arg_length,
-			       const CHARSET_INFO * const from_cs,
-			       size_t max_res_length,
-			       const CHARSET_INFO * const to_cs, size_t *result_length)
+                               const CHARSET_INFO * const from_cs,
+                               size_t max_res_length,
+                               const CHARSET_INFO * const to_cs,
+                               size_t *result_length)
 {
   char *pos;
   size_t new_length= to_cs->mbmaxlen*arg_length;

=== modified file 'm4/cxx_cmath.m4'
--- m4/cxx_cmath.m4	2008-11-03 19:16:14 +0000
+++ m4/cxx_cmath.m4	2008-11-03 22:24:53 +0000
@@ -5,9 +5,9 @@
 # on location.
 
 m4_define([_AH_NEED_FUNCS],
-[m4_foreach_w([AC_Func], [$1],
-  [AH_TEMPLATE(AS_TR_CPP([NEED_]m4_defn([AC_Func])),
-    [Define to 1 if you need to build a local version of `]m4_defn([AC_Func])[' function.])])])
+[AC_FOREACH([AC_Func], [$1],
+  [AH_TEMPLATE(AS_TR_CPP([NEED_]AC_Func),
+    [Define to 1 if you need to build a local version of `]AC_Func[' function.])])])
 
 AC_DEFUN([AC_CXX_CMATH],
   [AC_MSG_CHECKING(the location of cmath)

